Work Centers
The work centers resource.
Basehttps://rest.carbon.ms/workCenters
GET
/workCentersList work centerss
Retrieve a paginated list of work centerss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/workCenters
curl --request GET \
--url 'https://rest.carbon.ms/workCenters?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"description": "string",
"laborRate": 0,
"defaultStandardFactor": "string",
"locationId": "xyz789",
"requiredAbilityId": "xyz789",
"active": true
}
]GET
/workCentersRetrieve a work centers
Fetch a single work centers by filtering on `id`.
Query parameters
idstringMatch on the work centers's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/workCenters
curl --request GET \
--url 'https://rest.carbon.ms/workCenters?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"description": "string",
"laborRate": 0,
"defaultStandardFactor": "string",
"locationId": "xyz789",
"requiredAbilityId": "xyz789",
"active": true
}